Bug 35555 - Xamarin Inspector crashing app
Summary: Xamarin Inspector crashing app
Status: RESOLVED FIXED
Alias: None
Product: Xamarin Studio
Classification: Desktop
Component: Inspector Integration (show other bugs)
Version: unspecified
Hardware: Macintosh Mac OS
: --- normal
Target Milestone: ---
Assignee: inspectordev-discuss
URL:
Depends on:
Blocks:
 
Reported: 2015-11-04 18:07 UTC by Daniel
Modified: 2017-09-08 16:47 UTC (History)
3 users (show)

Tags:
Is this bug a regression?: ---
Last known good build:

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on Developer Community or GitHub with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
RESOLVED FIXED

Comment 2 Sandy Armstrong [MSFT] 2015-11-04 18:23:48 UTC
After uninstalling or disabling the IDE extension, you need to restart the IDE. You may also need to clean/rebuild your project.

Please let me know if that fails to work.

Are you targeting a simulator or a device?
Comment 4 Sandy Armstrong [MSFT] 2015-11-10 12:13:52 UTC
Does your project involve accessing an https resource at startup?

It appears that the core assemblies we swap in (see http://developer.xamarin.com/releases/inspector/preview/inspector-0.3.1/#What_does_it_do ) have broken cryptography. I see the same error as you if I try to access an https resource on iOS with the Inspector installed.

Android, Mac, and WPF are unaffected.
Comment 5 Daniel 2015-11-10 12:45:01 UTC
Yes, it connects to Parse.com
Comment 6 Sandy Armstrong [MSFT] 2015-11-12 12:07:04 UTC
Fixed; will show up in the next Xamarin.iOS release.
Comment 7 Sandy Armstrong [MSFT] 2015-11-13 08:40:24 UTC
Specifically, this is fixed in Xamarin.iOS 9.2.1.51.